package com.supervision.util;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.json.JSONUtil;
import com.supervision.config.ThreadCache;
import com.supervision.exception.BusinessException;
import lombok.Data;

public class UserUtil {

    public static UserDTO getUser() {
        String userStr = ThreadCache.USER.get();
        UserDTO userDTO = JSONUtil.toBean(userStr, UserDTO.class);
        if (ObjectUtil.isEmpty(userDTO)) {
            throw new BusinessException("未获取到用户信息");
        }
        return userDTO;
    }

    public static String getUserToken() {
        return ThreadCache.USER.get();
    }

    @Data
    public static class UserDTO {
        private String id;

        private String userName;

        private String realName;

        private String account;

        private String roleId;

        private String deptId;

    }
}
