package com.supervision.dto.roundAsk;

import com.supervision.ngbatis.domain.tag.Condition;
import com.supervision.ngbatis.domain.tag.ItemLeaf;
import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.Set;

@Data
public class SessionParamDTO {

    /**
     * 原始问题
     */
    private String originalQuestion;

    /**
     * 会话ID
     */
    private String sessionId;

    /**
     * 意图名称
     */
    private String intent;

    /**
     * 通过实体抽取,抽取到的值,可能有多个值
     */
    private List<String> entityValueByExtract;

    /**
     * 定位到的最终节点
     */
    private ItemLeaf matchItemLeaf;

    /**
     * 需要定位的节点,如果没有唯一节点,就需要从这里开始定位
     * key 是节点ID
     * value是节点对象
     */
    private Map<String, ItemLeaf> waitMatchItemLeafMap;

    /**
     * 已经判断过的实体列表
     */
    private Set<String> alreadyMatchEntitySet;

    /**
     * 条件路径(所有的路径条件,如果有多个key,说明节点还未确定,这时就要再进行判断)
     */
    private Map<String, List<List<Condition>>> conditionPathMap;

    /**
     * 实体计数节点,key是实体类型,value是出现的次数
     */
    private Map<String, Integer> entityCountMap;

    /**
     * 多轮对话当前问用户的实体(在未确定当前问题的时候生效,回答问题后,就应该删除了)
     */
    private EntityQuestionDTO currentEntity;

    /**
     * 多轮对话中的历史记录,key是服务端主动问的问题,value是用户的回答
     */
    private Map<String,String> talkRecord;


}
