package com.supervision.enums;

import cn.hutool.core.collection.CollUtil;

import java.util.ArrayList;
import java.util.List;

public enum IdentifyIntentEnum {
    业务的受理条件("业务的受理条件", "process_condition", "process_condition_edge", CollUtil.newArrayList("可不可以XXX", "可以办理XX","能不能够XXX？","是否可以XXX？","XXX我符合条件吗？", "办理XXX满足条件吗？")),
    业务的办理流程("业务的办理流程", "handler_process", "handler_process_edge", CollUtil.newArrayList("办理[]事项的流程是什么样的?")),
    业务的材料清单("业务的材料清单", "checklist", "checklist_edge", CollUtil.newArrayList("需要提交哪些具体文件或材料？", "如果材料不齐全或不符合要求，将如何处理？")),
    业务的受理范围("业务的受理范围", "accept_scope", "accept_scope_edge", CollUtil.newArrayList("什么人才能办理XX业务?")),
    业务的办理途径("业务的办理途径", "handler_channel", "handler_channel_edge", CollUtil.newArrayList("有什么途径可以办理XX业务?","可以线上办理XX吗?","可以线下办理XX吗?")),
    业务的办理窗口("业务的办理窗口", "handler_place", "handler_place_edge", CollUtil.newArrayList("XX的办理窗口在哪里?","线下办理XX去哪里?"));

    private final String intent;

    private final String tagType;

    private final String edgeType;

    private final List<String> explainList;

    IdentifyIntentEnum(String intent, String tagType, String edgeType, List<String> explainList) {
        this.intent = intent;
        this.tagType = tagType;
        this.edgeType = edgeType;
        this.explainList = explainList;
    }

    public static IdentifyIntentEnum getEnumByIntent(String intent) {
        for (IdentifyIntentEnum value : IdentifyIntentEnum.values()) {
            if (value.getIntent().equals(intent)) {
                return value;
            }
        }
        return null;
    }

    public String getEdgeType() {
        return edgeType;
    }

    public String getTagType() {
        return tagType;
    }

    public String getIntent() {
        return intent;
    }

    public List<String> getExplainList() {
        return explainList;
    }
}
