package com.supervision.qanything;

import com.supervision.qanything.dto.ChatResult;
import com.supervision.qanything.dto.CreateKBResult;
import com.supervision.qanything.dto.ResultWrapper;
import com.supervision.qanything.dto.UploadResult;

import java.io.File;
import java.security.NoSuchAlgorithmException;
import java.util.List;

/**
 * Qanything 接口服务
 */
public interface QanythingService {


    ResultWrapper<CreateKBResult> createKB(String kbName) throws NoSuchAlgorithmException;

    ResultWrapper<String> deleteKB(String kbId) throws NoSuchAlgorithmException;

    /**
     * 聊天接口
     * @param question 问题
     * @param kbIds 知识库ID
     * @return
     * @throws NoSuchAlgorithmException
     */
    ResultWrapper<ChatResult> chat(String question,List<String> kbIds) throws NoSuchAlgorithmException;

    /**
     * 上传文件接口
     * @param kbId 知识库ID
     * @param file 文件
     * @return
     * @throws NoSuchAlgorithmException
     */
    ResultWrapper<List<UploadResult>> uploadDoc(String kbId, File file) throws NoSuchAlgorithmException;

    ResultWrapper<List<UploadResult>> uploadDoc(String kbId, String fileName,byte[] bytes) throws NoSuchAlgorithmException;

    ResultWrapper<List<UploadResult>> uploadUrl(String kbId, String url) throws NoSuchAlgorithmException;

    ResultWrapper<List<String>> deleteFile(String kbId, List<String> fileIds) throws NoSuchAlgorithmException;

    ResultWrapper<List<CreateKBResult>> kbList() throws NoSuchAlgorithmException;

    ResultWrapper<List<UploadResult>> fileList(String kbId) throws NoSuchAlgorithmException;
}
