package com.supervision;

import cn.hutool.core.collection.CollUtil;
import com.supervision.handler.gpt.ConditionJudgeHandler;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.ArrayList;
import java.util.Set;

@Slf4j
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@RunWith(SpringJUnit4ClassRunner.class)
public class GlmTest {

    @Autowired
    private ConditionJudgeHandler conditionJudgeHandler;

    @Test
    public void test() {
        ArrayList<String> strings = CollUtil.newArrayList("深圳户口", "广东省其他地区", "港澳台及外籍地区", "省外户口", "非深圳户口");

        Set<String> strings1 = conditionJudgeHandler.newConditionJudge("你的户口所在地是哪里?", strings, "我是汕头人", "户籍所在地");
        log.info("答案是: {}", CollUtil.join(strings1, ";"));
    }

    @Test
    public void test1() {
        ArrayList<String> strings = CollUtil.newArrayList("深圳户口", "广东省其他地区", "港澳台及外籍地区", "省外户口", "非深圳户口");

        Set<String> strings1 = conditionJudgeHandler.conditionJudge("你的户口所在地是哪里?", strings, "我是汕头人");
        log.info("答案是: {}", CollUtil.join(strings1, ";"));
    }

    @Test
    public void test2() {
        ArrayList<String> strings = CollUtil.newArrayList("大于60岁", "65岁以上", "年龄大于50周岁", "50岁以上");
        Set<String> strings1 = conditionJudgeHandler.conditionJudgeAll("你的年龄多少岁?", strings, "我今天中午吃的酸菜鱼");
        log.info("答案是: {}", CollUtil.join(strings1, ";"));
    }


}
