package com.supervision.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 知识内容信息
 * @TableName kg_info
 */
@TableName(value ="kg_info")
@Data
public class KgInfo implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 标签 1：知识 2：通知 3：办事指南 4：政策解读
     */
    private String label;

    /**
     * 标题
     */
    private String title;

    /**
     * 分类 1:养老退休
     */
    private Integer classify;

    /**
     * 热点标识 1:热点 2：非热点
     */
    private Integer hotFlag;

    /**
     * 内容类型 1：文本 2：图片 3：视频 4:pdf 5:docx
     */
    private Integer contentType;

    /**
     * 预览url
     */
    private String preUrl;

    /**
     * 内容
     */
    private String content;

    /**
     * 概述
     */
    private String summary;

    /**
     * 政策事项 1:正常退休
     */
    private String policyItem;


    /**
     * 文件id
     */
    private String fileByteId;

    /**
     * 文件id
     */
    private String fileQaDocId;
    /**
     * 创建人id
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新用户id
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}