package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 政策法规表
 * @TableName kg_policy
 */
@TableName(value ="kg_policy")
@Data
public class KgPolicy implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 标题
     */
    private String title;

    /**
     * 内容(带格式的富文本)
     */
    private String content;

    /**
     * 文件状态(1现行有效)
     */
    private Integer status;

    /**
     * 文号
     */
    private String docNumber;

    /**
     * 政策层级(1国家级;2省级;3市级;4县级)
     */
    private Integer level;

    /**
     * 主题(1养老退休;2人事人才;3就业创业;4社会保障;5劳动关系)
     */
    private Integer subject;

    /**
     * 政策类型(1意见;2方案;3通知;4规章;5政策解读)
     */
    private Integer type;

    /**
     * 浏览次数
     */
    private Integer readCount;

    /**
     * 收藏次数
     */
    private Integer markCount;

    /**
     * 发布日期
     */
    private Date publishTime;

    /**
     * 成文日期
     */
    private Date writeTime;

    /**
     * 发文机构
     */
    private String publishDept;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}